Bug 39222 - Adjust UMC-AD-Takeover to Samba 4.3
Adjust UMC-AD-Takeover to Samba 4.3
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Takeover
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1
Assigned To: Felix Botner
Stefan Gohmann
: interim-2
Depends on: 38874
Blocks: 41192
  Show dependency treegraph
 
Reported: 2015-08-19 21:11 CEST by Arvid Requate
Modified: 2016-05-03 19:48 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
seize_additional_fsmo_roles.patch (621 bytes, patch)
2015-08-19 21:11 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2015-08-19 21:11:04 CEST
Created attachment 7121 [details]
seize_additional_fsmo_roles.patch

Samba 4.3 implements support for two additional FSMO roles "domaindnsmaster' and 'forestdnsmaster'. The attached patch for univention-management-console-module-adtakeover makes use of this.
Comment 1 Felix Botner univentionstaff 2015-10-08 18:30:22 CEST
changelog: r64348
univention-management-console-module-adtakeover: r64346

successfully "took over" a w2k12 server
Comment 2 Stefan Gohmann univentionstaff 2015-11-03 11:43:06 CET
I've took over a AD domain and now I get the following error:

root@master581:~# samba-tool fsmo show
ERROR(<type 'exceptions.KeyError'>): uncaught exception - 'No such element'
  File "/usr/lib/python2.7/dist-packages/samba/netcmd/__init__.py", line 175, in _run
    return self.run(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/samba/netcmd/fsmo.py", line 390, in run
    infrastructureMaster = get_fsmo_roleowner(samdb, infrastructure_dn)
  File "/usr/lib/python2.7/dist-packages/samba/netcmd/fsmo.py", line 42, in get_fsmo_roleowner
    master_owner = res[0]["fSMORoleOwner"][0]
root@master581:~#
Comment 3 Arvid Requate univentionstaff 2015-11-03 12:02:17 CET
Maybe simply go for 'all' ? Stange traceback..
Comment 4 Stefan Gohmann univentionstaff 2015-11-03 12:30:19 CET
From log.samba:

[2015/11/03 06:27:24.323139,  0, pid=19847] ../source4/dsdb/repl/drepl_ridalloc.c:207(dreplsrv_ridalloc_check_rid_pool)
  ../source4/dsdb/repl/drepl_ridalloc.c:207: Failed to find fSMORoleOwner in RID Manager object - Cannot find attribute fSMORoleOwner of CN=RID Manager$,CN=System,DC=deadlock58,DC=intranet to calculate reference dn

→ 10.201.58.2
Comment 5 Felix Botner univentionstaff 2015-11-04 16:48:44 CET
univention-management-console-module-adtakeover: r65191


claim_FSMO_roles() is now called before removing the ad server.

-> samba-tool fsmo show
SchemaMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
InfrastructureMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
RidAllocationMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
PdcEmulationMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
DomainNamingMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
DomainDnsZonesMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
ForestDnsZonesMasterRole owner: CN=NTDS Settings,CN=MASTER,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=w2k12,DC=test
Comment 6 Stefan Gohmann univentionstaff 2015-11-04 20:53:49 CET
Yes, it works now.

Changelog OK.
Comment 7 Stefan Gohmann univentionstaff 2015-11-17 12:12:20 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".